import { useLiveQuery } from "dexie-react-hooks";
import { database } from "../model";

export function useExpressionById(expression_id: number) {
  return useLiveQuery(() => {
    return database.expressions.where({ id: expression_id }).first();
  }, [expression_id]);
}
