import { useLiveQuery } from "dexie-react-hooks";
import { database } from "../model";

export function useExpressionSetById(expression_set_id: number) {
  return useLiveQuery(
    () => database.expression_sets.where({ id: expression_set_id }).first(),
    [expression_set_id]
  );
}
